Skip to main content

Voices

The following requests are used to list and query various voice related attributes that will be used as parameters for the inference requests.

Get Voices​

Returns a list of all voices available in the workspace associated with the client credentials provided. The name field is a unique identifier for each voice.

Method: GET

Endpoint: https://api.voiseed.com/voices

Query Parameters:

FieldTypeDescriptionRequired
modelstringCan be specified to retrieve a list of voices specific to this model. If omitted, the endpoint returns all voices available in the workspace. Model names can be obtained from the Get Models endpoint.Optional

Response:

[
{
"name": string,
"age": string,
"timbre": string,
"gender": string
}
]

Returned HTTP Codes

HTTP CodeDescription
200Success
404Voices not found
500Internal server error

Get Models​

Returns a list of available models in the workspace associated with the client credentials provided. The model attribute is a unique identifier for each model.

Method: GET

Endpoint: https://api.voiseed.com/models

Response:

[
{
"model": string,
"description": string,
"defaultOutputBitrate": number,
"defaultOutputSamplingRate": number
}
]

Returned HTTP Codes

HTTP CodeDescription
200Success
404Models not found
500Internal server error

Get Voice Styles​

Returns a list of voice styles available with a specific model provided. The model attribute obtained in the Get Models request should be included in the url for this request. The style attribute is a unique identifier for the style.

Method: GET

Endpoint: https://api.voiseed.com/models/{model}/styles

Response:

[
{
"style": string,
"supportedGenders": array<string>,
"description": string
}
]

Returned HTTP Codes

HTTP CodeDescription
200Success
404Styles not found
500Internal server error